/***************************************************************************
   mem.c - memory wrappers
                             -------------------
    begin                : Thurs Feb 05 2004
    copyright            : (C) 2004 by red0x
    email                : red0x@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/** \file mem.c
  *  File contains memory wrappers
  */

#include "mem.h"
#include "error.h"

void *
Calloc(size_t nmemb, size_t size)
{
    void *ptr = calloc(nmemb, size);
    if(!ptr)
        err_sys("calloc failed\n");
    return ptr;
}

void *
Malloc(size_t size)
{
    void *ptr = malloc(size);
    if(!ptr)
        err_sys("Malloc failed\n");
    return ptr;
}

void *
Realloc(void *ptr, size_t size)
{
    void *ptr2;
    ptr2 = realloc(ptr, size);
    if(!ptr)
        err_sys("realloc failed\n");
    return ptr2;
}
